import { MediaFile } from "../models/MediaFile.ts";
import { MediaPanel } from "../views/clofi.tsx";
import { addScript } from "#sitegen";

export const theme = {
  bg: "#312652",
  fg: "#f0f0ff",
  primary: "#fabe32",
};

export const meta = { title: "file not found" };

export default function CotyledonPage() {
  addScript("../scripts/canvas_cotyledon.client.ts");
  return (
    <div class="files ctld ctld-sb">
      <MediaPanel
        file={MediaFile.getByPath("/")!}
        isLast={false}
        activeFilename={null}
        hasCotyledonCookie={false}
      />
      <div class="panel last">
        <div className="header"></div>
        <div className="content file-view notfound">
          <p>this file does not exist ...</p>
          <p>
            <a href="/file">return</a>
          </p>
        </div>
      </div>
    </div>
  );
}
