import { MediaFile } from "../models/MediaFile.ts";
import { MediaPanel } from "../views/clofi.tsx";
import { addScript } from "#sitegen";
import { Speedbump } from "../cotyledon.tsx";

export const theme = {
  bg: "#312652",
  fg: "#f0f0ff",
  primary: "#fabe32",
};

export const meta = { title: "the front door" };

export default function CotyledonPage() {
  addScript("../scripts/canvas_cotyledon.client.ts");
  return (
    <div class="files ctld ctld-sb">
      <MediaPanel
        file={MediaFile.getByPath("/")!}
        isLast={false}
        activeFilename={null}
        hasCotyledonCookie={false}
      />
      <Speedbump />
    </div>
  );
}
